#ifndef GPSSERVER_H
#define GPSSERVER_H
// GPSServer
// Dispatches GPS data to client applications via BMessages
#include <app/Application.h>
#include "GPSReader.h"

class GPSServer : public BApplication
{
public:
	GPSServer();
	virtual ~GPSServer();
	virtual void MessageReceived(BMessage *msg);
private:
	GPSReader* reader;
	thread_id reader_id;
	BList* clients;	
};


#endif // GPSSERVER_H